package com.qianhe.system.domain;

import com.qianhe.common.annotation.Excel;
import com.qianhe.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.math.BigDecimal;

/**
 * 站点对象 water_station
 *
 * @author qianhe
 * @date 2023-11-23
 */
public class WaterStation extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 站点名称 */
    @Excel(name = "站点名称")
    private String stationName;

    /** 电话 */
    @Excel(name = "电话")
    private Long phoneNum;

    /** 详细地址 */
    @Excel(name = "详细地址")
    private String stationAddress;

    /** 经度 */
    @Excel(name = "经度")
    private BigDecimal stationLon;

    /** 纬度 */
    @Excel(name = "纬度")
    private BigDecimal stationLat;

    /** 省份 */
    @Excel(name = "省份")
    private String province;

    /** 城市 */
    @Excel(name = "城市")
    private String city;

    /** 市区 */
    @Excel(name = "市区")
    private String area;

    /** 是否打烊(1营业0打烊) */
    @Excel(name = "是否打烊(1营业0打烊)")
    private Long isOpen;

    /** 创建人 */
    @Excel(name = "创建人")
    private String createUser;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setStationName(String stationName)
    {
        this.stationName = stationName;
    }

    public String getStationName()
    {
        return stationName;
    }
    public void setPhoneNum(Long phoneNum)
    {
        this.phoneNum = phoneNum;
    }

    public Long getPhoneNum()
    {
        return phoneNum;
    }
    public void setStationAddress(String stationAddress)
    {
        this.stationAddress = stationAddress;
    }

    public String getStationAddress()
    {
        return stationAddress;
    }
    public void setStationLon(BigDecimal stationLon)
    {
        this.stationLon = stationLon;
    }

    public BigDecimal getStationLon()
    {
        return stationLon;
    }
    public void setStationLat(BigDecimal stationLat)
    {
        this.stationLat = stationLat;
    }

    public BigDecimal getStationLat()
    {
        return stationLat;
    }
    public void setProvince(String province)
    {
        this.province = province;
    }

    public String getProvince()
    {
        return province;
    }
    public void setCity(String city)
    {
        this.city = city;
    }

    public String getCity()
    {
        return city;
    }
    public void setArea(String area)
    {
        this.area = area;
    }

    public String getArea()
    {
        return area;
    }
    public void setIsOpen(Long isOpen)
    {
        this.isOpen = isOpen;
    }

    public Long getIsOpen()
    {
        return isOpen;
    }
    public void setCreateUser(String createUser)
    {
        this.createUser = createUser;
    }

    public String getCreateUser()
    {
        return createUser;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("stationName", getStationName())
            .append("phoneNum", getPhoneNum())
            .append("stationAddress", getStationAddress())
            .append("stationLon", getStationLon())
            .append("stationLat", getStationLat())
            .append("createTime", getCreateTime())
            .append("province", getProvince())
            .append("city", getCity())
            .append("area", getArea())
            .append("isOpen", getIsOpen())
            .append("createUser", getCreateUser())
            .toString();
    }
}
