package com.qianhe.system.mapper;

import com.qianhe.system.domain.WaterGoods;

import java.util.List;

/**
 * 商品Mapper接口
 * 
 * @author qianhe
 * @date 2023-11-23
 */
public interface WaterGoodsMapper 
{
    /**
     * 查询商品
     * 
     * @param id 商品主键
     * @return 商品
     */
    public WaterGoods selectWaterGoodsById(Long id);

    /**
     * 查询商品列表
     * 
     * @param waterGoods 商品
     * @return 商品集合
     */
    public List<WaterGoods> selectWaterGoodsList(WaterGoods waterGoods);

    /**
     * 新增商品
     * 
     * @param waterGoods 商品
     * @return 结果
     */
    public int insertWaterGoods(WaterGoods waterGoods);

    /**
     * 修改商品
     * 
     * @param waterGoods 商品
     * @return 结果
     */
    public int updateWaterGoods(WaterGoods waterGoods);

    /**
     * 删除商品
     * 
     * @param id 商品主键
     * @return 结果
     */
    public int deleteWaterGoodsById(Long id);

    /**
     * 批量删除商品
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteWaterGoodsByIds(Long[] ids);
}
